
.. _ch_auto_add_cli:

ch_auto_add
***********







.. rubric:: Output of :code:`--help=ch_auto_add`



The following help text is generated by :code:`ecflow_client --help=ch_auto_add`

::

   
   ch_auto_add
   -----------
   
   Change an existing handle so that new suites can be added automatically.
      arg1 = handle(integer)  # The handle must be an integer that is > 0
      arg2 = true | false     # true means add new suites to my list, when they are created
   Usage:
    --ch_auto_add=10 true     # modify handle 10 so that new suites, get added automatically to it
    --ch_auto_add=10 false    # modify handle 10 so that no new suites are added
   The handle is created with --ch_register command
   To list all suites and handles use --ch_suites
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

